Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.domain.impl
Class LogEventImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.domain.impl.LogEventImpl

All Implemented Interfaces:
  LogEvent, java.io.Serializable

    public class LogEventImpl

extends java.lang.Object
implements LogEvent, java.io.Serializable

Version:
  $Id: LogEventImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.common.domain.LogEvent
`STATE_READ, STATE_UNREAD, TYPE_ERROR, TYPE_INFO, TYPE_WARNING`

Constructor Summary
`LogEventImpl()`

Method Summary
`java.lang.String` | `getComponent()`
`byte[]` | `getData()`
`long` | `getId()`
`java.lang.String` | `getMessageCode()`
`java.util.Date` | `getOccurrenceDate()`
`java.lang.String` | `getResourceURI()`
`byte` | `getState()`
`java.lang.String` | `getText()`
`byte` | `getType()`
`java.lang.String` | `getUsername()`
`void` | `setComponent(java.lang.String component)`
`void` | `setData(byte[] data)`
`void` | `setId(long id)`
`void` | `setMessageCode(java.lang.String messageCode)`
`void` | `setOccurrenceDate(java.util.Date occurrenceDate)`
`void` | `setResourceURI(java.lang.String resourceURI)`
`void` | `setState(byte state)`
`void` | `setText(java.lang.String text)`
`void` | `setType(byte type)`
`void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogEventImpl

    public LogEventImpl()

Method Detail

### getComponent

    public java.lang.String getComponent()

  Specified by:
    `getComponent` in interface `LogEvent`

### setComponent

    public void setComponent(java.lang.String component)

  Specified by:
    `setComponent` in interface `LogEvent`

### getData

    public byte[] getData()

  Specified by:
    `getData` in interface `LogEvent`

### setData

    public void setData(byte[] data)

  Specified by:
    `setData` in interface `LogEvent`

### getId

    public long getId()

  Specified by:
    `getId` in interface `LogEvent`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `LogEvent`

### getMessageCode

    public java.lang.String getMessageCode()

  Specified by:
    `getMessageCode` in interface `LogEvent`

### setMessageCode

    public void setMessageCode(java.lang.String messageCode)

  Specified by:
    `setMessageCode` in interface `LogEvent`

### getOccurrenceDate

    public java.util.Date getOccurrenceDate()

  Specified by:
    `getOccurrenceDate` in interface `LogEvent`

### setOccurrenceDate

    public void setOccurrenceDate(java.util.Date occurrenceDate)

  Specified by:
    `setOccurrenceDate` in interface `LogEvent`

### getResourceURI

    public java.lang.String getResourceURI()

  Specified by:
    `getResourceURI` in interface `LogEvent`

### setResourceURI

    public void setResourceURI(java.lang.String resourceURI)

  Specified by:
    `setResourceURI` in interface `LogEvent`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `LogEvent`

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `LogEvent`

### getType

    public byte getType()

  Specified by:
    `getType` in interface `LogEvent`

### setType

    public void setType(byte type)

  Specified by:
    `setType` in interface `LogEvent`

### getUsername

    public java.lang.String getUsername()

  Specified by:
    `getUsername` in interface `LogEvent`

### setUsername

    public void setUsername(java.lang.String username)

  Specified by:
    `setUsername` in interface `LogEvent`

### getState

    public byte getState()

  Specified by:
    `getState` in interface `LogEvent`

### setState

    public void setState(byte state)

  Specified by:
    `setState` in interface `LogEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.